

<!DOCTYPE html>

<html lang="ja">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.36. logical_shard_list &#8212; Groonga v10.1.1-31-g1e46ba6ドキュメント</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    <script src="../../_static/translations.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="索引" href="../../genindex.html" />
    <link rel="search" title="検索" href="../../search.html" />
    <link rel="next" title="7.3.37. logical_table_remove" href="logical_table_remove.html" />
    <link rel="prev" title="7.3.35. logical_select" href="logical_select.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">オープンソースのカラムストア機能付き全文検索エンジン</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../en/html/reference/commands/logical_shard_list.html">English</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="logical_table_remove.html" title="7.3.37. logical_table_remove"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="logical_select.html" title="7.3.35. logical_select"
             accesskey="P">前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.36. </span><code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="logical-shard-list">
<h1><span class="section-number">7.3.36. </span><code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code><a class="headerlink" href="#logical-shard-list" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.36.1. </span>概要<a class="headerlink" href="#summary" title="このヘッドラインへのパーマリンク">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">バージョン 5.0.7 で追加.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code> は指定した論理テーブル名に対するすべてのシャード名を返します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.36.2. </span>構文<a class="headerlink" href="#syntax" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドの引数は1つで必須です:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_shard_list logical_table
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.36.3. </span>使い方<a class="headerlink" href="#usage" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドを使うには事前に <code class="docutils literal notranslate"><span class="pre">sharding</span></code> プラグインを登録します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register sharding
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>サンプルシャードは次の通りです。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create  Logs_20150801           TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Logs_20150801 timestamp COLUMN_SCALAR  Time
# [[0, 1337566253.89858, 0.000355720520019531], true]
table_create  Logs_20150802           TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Logs_20150802 timestamp COLUMN_SCALAR  Time
# [[0, 1337566253.89858, 0.000355720520019531], true]
table_create  Logs_20150930           TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Logs_20150930 timestamp COLUMN_SCALAR  Time
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>論理テーブル名として <code class="docutils literal notranslate"><span class="pre">Logs</span></code> を指定すると昇順ですべてのシャード名を取得できます。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_shard_list --logical_table Logs
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     {
#       &quot;name&quot;: &quot;Logs_20150801&quot;
#     },
#     {
#       &quot;name&quot;: &quot;Logs_20150802&quot;
#     },
#     {
#       &quot;name&quot;: &quot;Logs_20150930&quot;
#     }
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.36.4. </span>引数<a class="headerlink" href="#parameters" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このセクションでは引数について説明します。</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.36.4.1. </span>必須引数<a class="headerlink" href="#required-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>必須の引数は1つです。</p>
<div class="section" id="logical-table">
<span id="logical-shard-logical-table"></span><h4><span class="section-number">7.3.36.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">logical_table</span></code><a class="headerlink" href="#logical-table" title="このヘッドラインへのパーマリンク">¶</a></h4>
<p>論理テーブル名を指定します。 <code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code> は指定した論理テーブルのシャード名のリストを返します。</p>
<p>実行例:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_shard_list --logical_table Logs
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     {
#       &quot;name&quot;: &quot;Logs_20150801&quot;
#     },
#     {
#       &quot;name&quot;: &quot;Logs_20150802&quot;
#     },
#     {
#       &quot;name&quot;: &quot;Logs_20150930&quot;
#     }
#   ]
# ]
</pre></div>
</div>
<p>このリストは昇順でソート済みです。</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.36.4.2. </span>省略可能引数<a class="headerlink" href="#optional-parameters" title="このヘッドラインへのパーマリンク">¶</a></h3>
<p>省略可能な引数はありません。</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.36.5. </span>戻り値<a class="headerlink" href="#return-value" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>このコマンドは昇順でソートしたシャード名のリストを返します:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[
  HEADER,
  [
    {&quot;name&quot;: &quot;SHARD_NAME_1&quot;},
    {&quot;name&quot;: &quot;SHARD_NAME_2&quot;},
    ...
    {&quot;name&quot;: &quot;SHARD_NAME_N&quot;}
  ]
]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">HEADER</span></code> については <a class="reference internal" href="../command/output_format.html"><span class="doc">出力形式</span></a> を参照してください。</p>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.36.6. </span>参考<a class="headerlink" href="#see-also" title="このヘッドラインへのパーマリンク">¶</a></h2>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="../sharding.html"><span class="doc">シャーディング</span></a></p></li>
</ul>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.36. <code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.36.1. 概要</a></li>
<li><a class="reference internal" href="#syntax">7.3.36.2. 構文</a></li>
<li><a class="reference internal" href="#usage">7.3.36.3. 使い方</a></li>
<li><a class="reference internal" href="#parameters">7.3.36.4. 引数</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.36.4.1. 必須引数</a><ul>
<li><a class="reference internal" href="#logical-table">7.3.36.4.1.1. <code class="docutils literal notranslate"><span class="pre">logical_table</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.3.36.4.2. 省略可能引数</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.36.5. 戻り値</a></li>
<li><a class="reference internal" href="#see-also">7.3.36.6. 参考</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="logical_select.html"
                        title="前の章へ"><span class="section-number">7.3.35. </span><code class="docutils literal notranslate"><span class="pre">logical_select</span></code></a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="logical_table_remove.html"
                        title="次の章へ"><span class="section-number">7.3.37. </span><code class="docutils literal notranslate"><span class="pre">logical_table_remove</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">クイック検索</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="検索" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="logical_table_remove.html" title="7.3.37. logical_table_remove"
             >次へ</a> |</li>
        <li class="right" >
          <a href="logical_select.html" title="7.3.35. logical_select"
             >前へ</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6ドキュメント</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>リファレンスマニュアル</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>コマンド</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.36. </span><code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>